Admins & permissions
Invite Hris Client Admin
Creates a client admin role and user through roleService, then sends the admin onboarding email.
POSThttps://api.toku.com/hris/invite-hris-client-admin
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/invite-hris-client-admin' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"givenName": "string",
"familyName": "string",
"template": "owner",
"teamScoped": true,
"hrAutomationOnly": true
}'200 response
{
"roleInOrgID": "string",
"personID": "string",
"userID": "string",
"email": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
emailstring<email>requiredgivenNamestringrequiredAllowed: at least 1 characters
familyNamestringrequiredAllowed: at least 1 characters
templatestringAvailable options: owner, hr_admin, grants_admin, payroll_admin, finance, viewer
teamScopedbooleanhrAutomationOnlybooleanResponse
200Successful response
roleInOrgIDstringrequiredpersonIDstringrequireduserIDstringrequiredemailstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits